Bug 1010790 - Mismatch between rtgov-client and server configuration - OOTB default value for client does not work with the default OOTB value for the server
Mismatch between rtgov-client and server configuration - OOTB default value f...
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: ---
Assigned To: Thomas Hauser
Len DiMaggio
Depends On:
  Show dependency treegraph
Reported: 2013-09-23 01:23 EDT by Jiri Pechanec
Modified: 2014-02-06 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-09-23 01:23:15 EDT
rt-gov client by default suggests htpps-scheme url to connect to rtgov server.

Unfrotunately rtgov server does not have https connector enabled.
Comment 1 Len DiMaggio 2013-09-26 08:59:50 EDT
Does this mean that OOTB the client config cannot connect to the server?
Comment 2 Len DiMaggio 2013-09-26 09:05:53 EDT
In other words, does the installer correctly configure the client?

Is the real problem that the default value (https) provided in the installer does not work (as the server has http configured)?

Can't we change the default value for the client to work OOTB with the server?
Comment 3 Thomas Hauser 2013-09-26 12:11:20 EDT
Need to know what the installer should do to resolve this issue.
Comment 4 Thomas Hauser 2013-09-27 14:25:02 EDT
This issue has been resolved by having http:// in the default URL rather than https://
Comment 5 Jiri Pechanec 2013-10-01 01:50:17 EDT
Unfrotunately it is not enough - it is necessary to change the default port too.

In ER4 it is set to 8443 (which is https) but should be 8080
Comment 6 Thomas Hauser 2013-10-01 09:30:24 EDT
Comment 8 Jiri Pechanec 2013-10-07 01:32:23 EDT
Verified in ER4 04-Oct-2013 04:44

Note You need to log in before you can comment on or make changes to this bug.